// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#include <QTranslator>
#include <QStringList>
#include <QString>

#include "settings.h"

Settings *Settings::_singleton = NULL;

Settings::Settings()
{
	QSettings s;
	(void)s.beginReadArray("rooms");
	for (int i = 0; i < NB_ZONES; ++i) {
		s.setArrayIndex(i);
		m_rooms_names << s.value("name", "").toString();
		m_sensor_topics << s.value("sensor_topic", "").toString();
		m_availability_topics << s.value("availability_topic", "").toString();
	}
	s.endArray();
}

Settings::~Settings()
{
}

Settings *Settings::getInstance(void)
{
	if (!_singleton) {
		_singleton =  new Settings;
	}

	return _singleton;
}

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */


